export declare function ensureDir(dir: string): Promise<void>;
export declare function readJsonFile<T>(file: string): Promise<T | undefined>;
export declare function writeJsonFile(file: string, value: unknown): Promise<void>;
export declare function writeTextFile(file: string, value: string): Promise<void>;
export declare function writeBufferFile(file: string, value: Buffer): Promise<void>;
export declare function withFileLock<T>(file: string, work: () => Promise<T>): Promise<T>;
